RegexQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.regex.RegexQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.regex
Class RegexQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.MultiTermQuery
              org.apache.lucene.search.regex.RegexQuery

All Implemented Interfaces:
  Serializable, Cloneable, RegexQueryCapable

    public class RegexQuery

extends org.apache.lucene.search.MultiTermQuery
implements RegexQueryCapable

Implements the regular expression term search query. The expressions supported depend on the regular expression implementation used by way of the `RegexCapabilities` interface.

See Also:
  `RegexTermEnum`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.MultiTermQuery
`org.apache.lucene.search.MultiTermQuery.ConstantScoreAutoRewrite, org.apache.lucene.search.MultiTermQuery.RewriteMethod, org.apache.lucene.search.MultiTermQuery.TopTermsBoostOnlyBooleanQueryRewrite, org.apache.lucene.search.MultiTermQuery.TopTermsScoringBooleanQueryRewrite`

Field Summary

Fields inherited from class org.apache.lucene.search.MultiTermQuery
`CONSTANT_SCORE_AUTO_REWRITE_DEFAULT, CONSTANT_SCORE_BOOLEAN_QUERY_REWRITE, CONSTANT_SCORE_FILTER_REWRITE, rewriteMethod, SCORING_BOOLEAN_QUERY_REWRITE`

Constructor Summary
`RegexQuery(org.apache.lucene.index.Term term)` Constructs a query for terms matching `term`.

Method Summary
`boolean` | `equals(Object o)`
`protected org.apache.lucene.search.FilteredTermEnum` | `getEnum(org.apache.lucene.index.IndexReader reader)`
`RegexCapabilities` | `getRegexImplementation()`
`org.apache.lucene.index.Term` | `getTerm()`
`int` | `hashCode()`
`void` | `setRegexImplementation(RegexCapabilities impl)` Defines which `RegexCapabilities` implementation is used by this instance.
`String` | `toString(String field)`

Methods inherited from class org.apache.lucene.search.MultiTermQuery
`clearTotalNumberOfTerms, getRewriteMethod, getTotalNumberOfTerms, incTotalNumberOfTerms, rewrite, setRewriteMethod`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegexQuery

    public RegexQuery(org.apache.lucene.index.Term term)

  Constructs a query for terms matching `term`.

Method Detail

### getTerm

    public org.apache.lucene.index.Term getTerm()

### setRegexImplementation

    public void setRegexImplementation(RegexCapabilities impl)

  Defines which `RegexCapabilities` implementation is used by this instance.

  Specified by:
    `setRegexImplementation` in interface `RegexQueryCapable`
  Parameters:
    `impl` -

### getRegexImplementation

    public RegexCapabilities getRegexImplementation()

  Specified by:
    `getRegexImplementation` in interface `RegexQueryCapable`
  Returns:
    The implementation used by this instance.

### getEnum

    protected org.apache.lucene.search.FilteredTermEnum getEnum(org.apache.lucene.index.IndexReader reader)
                                                         throws IOException

  Specified by:
    `getEnum` in class `org.apache.lucene.search.MultiTermQuery`
  Throws:
    `IOException`

### toString

    public String toString(String field)

  Specified by:
    `toString` in class `org.apache.lucene.search.Query`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `org.apache.lucene.search.MultiTermQuery`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `org.apache.lucene.search.MultiTermQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD